<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">


<xsl:template match="vnutro">
  <xsl:apply-templates/>  
</xsl:template>


<xsl:template match="clanok">
  <tr>
    <td>

      <table border="2" width="200" cellpadding="0" cellspacing="0">
        <tr>  
          <td>
            <xsl:apply-templates select="./nadpis"/>
          </td>
        </tr>
        <tr>  
          <td>
            <xsl:apply-templates select="./odstavec"/>
          </td>
        </tr>
      </table>

    </td>
  </tr>
</xsl:template>


<xsl:template match="nadpis">
  <font color="green">
    <xsl:variable name="odkaz" select="@odkaz"/>
    <a href="{$odkaz}">
      <xsl:apply-templates/>  
    </a>
  </font>
</xsl:template>


<xsl:template match="odstavec">
  <xsl:variable name="farba" select="@farba"/>  
  <font color="{$farba}">
    <xsl:apply-templates/>
    <xsl:if test="@farba='red'">    
      <xsl:text> toto je cervene</xsl:text>
    </xsl:if>
  </font>
</xsl:template>


</xsl:stylesheet>